<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateResearchDevTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('research_devs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedTinyInteger('province_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->string('project_title')->nullable();
            $table->string('contract_date')->nullable();
            $table->unsignedTinyInteger('contract_num')->nullable();
            $table->float('contract_amount')->nullable();
            $table->unsignedTinyInteger('contract_condition_id')->nullable();
            $table->unsignedTinyInteger('domain_id')->nullable();
            $table->string('domain_fa')->nullable();
            $table->string('contract_condition_fa')->nullable();
            $table->string('last_report')->nullable();
            $table->string('file_name')->nullable();
            $table->string('executer')->nullable();
            $table->string('uid_file')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('research_devs');
    }
}
